<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>
<body>


    <button class="btn btn-danger logout_btn" > logout</button>

    <h1>name : <span class="fname" ></span> </h1>
    <h1>email : <span class="email" ></span> </h1>
    <!-- <h1>name : <span class="fname" ></span> </h1> -->

</body>

<script>

$(document).ready(function(){

    var userdata=localStorage.getItem("userdata");

    if(userdata==null)
    {
        window.location.href = "file:///D:/node_js/express%20_node_js/practise/angular_nodejs/front_end/login.html";
            return false
    }


    var userdata=localStorage.getItem("userdata");

     var userdata= JSON.parse(atob(userdata.split('.')[1]));
     console.log(userdata);

     $(".fname").html(userdata.data.name);
     $(".email").html(userdata.data.email);




});

$(document).ready(function(){
    $(".logout_btn").click(function(){
        localStorage.removeItem("userdata");
        window.location.href = "file:///D:/node_js/express%20_node_js/practise/angular_nodejs/front_end/login.html";
            return false;
    })
})

</script>


</html>